function formatDate (date, withTime = true) {
  if (date) {
    date = new Date(date)
  } else {
    return ''
  }
  const Y = date.getFullYear()
  const M = ('0' + (date.getMonth() + 1)).slice(-2)
  const D = ('0' + date.getDate()).slice(-2)
  const h = ('0' + date.getHours()).slice(-2)
  const m = ('0' + date.getMinutes()).slice(-2)
  const s = ('0' + date.getSeconds()).slice(-2)
  const part1 = `${Y}-${M}-${D}`
  const part2 = `${h}:${m}:${s}`
  return withTime ? part1 + ' ' + part2 : part1
}

function clone (obj) {
  return JSON.parse(JSON.stringify(obj))
}
/**
 * 去除值为null或者'' undefind的字段
 */
function filterParams (params) {
  let obj = JSON.parse(JSON.stringify(params))
  for (let t in obj) {
    if (!obj[t] && obj[t] !== 0) {
      delete obj[t]
    } else {
      obj[t] = obj[t].toString().trim()
    }
  }
  return obj
}

module.exports = {
  clone: clone,
  formatDate: formatDate,
  filterParams: filterParams
}
